# Created by pyp2rpm-3.3.1
%global pypi_name argon2-cffi
%global egg_name argon2_cffi

Name:           python-%{pypi_name}
Version:        20.1.0
Release:        %mkrel 1
Summary:        The secure Argon2 password hashing algorithm
Group:          Development/Python
License:        MIT
URL:            https://argon2-cffi.readthedocs.io/
Source0:        https://pypi.io/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(cffi) >= 1.0.0
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(funcsigs)
# for docs
BuildRequires:  python3dist(sphinx)
# for tests
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(pytest)

%description
CFFI-based Argon2 Bindings for Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cffi) >= 1.0.0
Requires:       python3dist(six)

Obsoletes:      python3-argon2_cffi < 19.2.0-2

%description -n python3-%{pypi_name}
CFFI-based Argon2 Bindings for Python.

%package -n python-%{pypi_name}-doc
Summary:        argon2_cffi documentation
Obsoletes:      python-argon2_cffi-doc < 19.2.0-2

%description -n python-%{pypi_name}-doc
Documentation for argon2_cffi

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE docs/license.rst extras/libargon2/LICENSE
%doc README.rst extras/libargon2/README.md
%{python3_sitearch}/argon2
%{python3_sitearch}/%{egg_name}-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE docs/license.rst extras/libargon2/LICENSE



%changelog
* Fri Jun 12 2020 kekepower <kekepower> 20.1.0-1.mga8
+ Revision: 1592964
- Update to version 20.1.0
- Rename package python-argon2_cffi to python-argon2-cffi
- Fix duplicate packages with different versions
- Update to version 19.2.0

* Sun Feb 16 2020 umeabot <umeabot> 19.1.0-3.mga8
+ Revision: 1533118
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 19.1.0-2.mga8
+ Revision: 1443543
- rebuild for python-3.8
- drop python2 subpkg

* Sun Aug 04 2019 wally <wally> 19.1.0-1.mga8
+ Revision: 1427266
- new version 19.1.0
- remove unneeded BRs and requires
- skip tests for python2 (no more python2 support in pytest)
- fix descriptions

* Mon Jan 07 2019 shlomif <shlomif> 18.3.0-1.mga7
+ Revision: 1351086
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 18.1.0-2.mga7
+ Revision: 1300440
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 18.1.0-1.mga7
+ Revision: 1224548
- BR python-funcsigs
- BR python2-enum34
- imported package python-argon2_cffi

